/* community.css */

section {padding: 200px 0 120px}

.page-title h1 {
    font-size: 64px;
    line-height: 74px;
    font-weight: 600;
}


.community-toolbar {
    display: flex; 
    justify-content: space-between;
    margin-top: 60px;
}

.community-toolbar .community-tabs {
    display: flex;
    gap: 6px;
}

.community-toolbar .community-tabs .tab.active
{
    background: #1a1a1a;
    color: #fff;
    font-weight: 700;
}

.community-toolbar .community-tabs button
{
    background: #f2f2f2;
    border: none;
    padding: 8px 16px;
    box-sizing: border-box;
    border-radius: 8px;
    font-size: 14px;
    line-height: 1.3;
    color: #555;
    cursor: pointer;
}

.community-card-date {
    color:  #bbb;
}

.community-empty {
  grid-column: 1 / -1;
  width: 100%;
  padding: 155px 0;
  text-align: center;
  color: #aaa;
  display: flex;
  justify-content: center
}



/* =========================
   Mobile
========================= */
@media (max-width: 767px) {

  html,
  body {
    overflow-x: hidden;
  }

  .container,
  .inner {
    width: 100%;
    padding-inline: 16px;
    box-sizing: border-box;
  }

  /* 레이아웃 */
  .wrap .contents section {
    padding: 100px 0;
  }

  .page-title h1 {
    font-size: 32px;
    line-height: 1.2;
  }

  .community-toolbar {
    margin-top: 24px;
  }

  .community-toolbar .community-tabs {
    gap: 8px;
  }

  .community-toolbar .community-tabs button {
    padding: 10px 12px;
  }

  /* card */
  .community-cards {
    grid-auto-flow: row;
    grid-template-columns: none;
    gap: 16px;
    margin-top: 32px;
  }

  .community-card {
    padding: 24px;
  }
  .community-card-header {
    min-height: 22px;
  }
  .community-card-title {
    font-size: 20px;
  }
  .community-card[data-category="Notice"] .community-card-desc {
    font-size: 14px;
    -webkit-line-clamp: 3;
  }
  .community-card-footer {
    margin-top: 40px;
    padding-top: 20px;
  }
  .community-card-date {
    font-size: 12px;
    line-height: 17px;
  }

  .community-empty {
    font-size: 14px;  
  }
}